"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.err = exports.ok = void 0;
const box_1 = require("./box");
/**
 * Create an `Ok`
 * @param payload Payload to carry
 * @returns `Ok` of `payload`
 */
exports.ok = box_1.box;
/**
 * Create an `Err`
 * @param error Error to carry
 * @returns `Err` of `error`
 */
exports.err = (error) => ({ tag: false, error });
